org.apache.poi.xwpf.usermodel

## Class XWPFNum

- java.lang.Object
- - org.apache.poi.xwpf.usermodel.XWPFNum

-     public class XWPFNum
      extends java.lang.Object

  TODO Bring more of the logic over from XWPFParagraph

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected XWPFNumbering` | `numbering`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XWPFNum()`
    `XWPFNum(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTNum ctNum)`
    `XWPFNum(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTNum ctNum, XWPFNumbering numbering)`
    `XWPFNum(XWPFNumbering numbering)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.openxmlformats.schemas.wordprocessingml.x2006.main.CTNum` | `getCTNum()`
    `XWPFNumbering` | `getNumbering()`
    `void` | `setCTNum(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTNum ctNum)`
    `void` | `setNumbering(XWPFNumbering numbering)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### numbering

          protected XWPFNumbering numbering

  - ### Constructor Detail

    - #### XWPFNum

          public XWPFNum()

    - #### XWPFNum

          public XWPFNum(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTNum ctNum)

    - #### XWPFNum

          public XWPFNum(XWPFNumbering numbering)

    - #### XWPFNum

          public XWPFNum(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTNum ctNum,
                         XWPFNumbering numbering)

  - ### Method Detail

    - #### getNumbering

          public XWPFNumbering getNumbering()

    - #### setNumbering

          public void setNumbering(XWPFNumbering numbering)

    - #### getCTNum

          public org.openxmlformats.schemas.wordprocessingml.x2006.main.CTNum getCTNum()

    - #### setCTNum

          public void setCTNum(org.openxmlformats.schemas.wordprocessingml.x2006.main.CTNum ctNum)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.